Bug 49652 - Nautilus drops core
Nautilus drops core
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-07-22 15:19 EDT by Michal Jaegermann
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-23 17:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-07-22 15:19:03 EDT
Description of Problem:

Nautilus leave a core in my home directory (could not tell exactly from
what because the whole thing is big pile of junk and behaves in an
upredictable manner).  Loading this core into gdb results in the
following backtrace:

(gdb) where
#0  0x409c86c9 in chunk_free (ar_ptr=0x40a7a6c0, p=0x8248b48) at
#1  0x409c8474 in __libc_free (mem=0x8248c58) at malloc.c:3062
#2  0x408b09f2 in g_free () from /usr/lib/libglib-1.2.so.0
#3  0x408dd60e in rsvg_ft_ctx_done () from /usr/lib/librsvg.so.1
#4  0x4049a26e in destroy_global_rsvg_ft_context () from
#5  0x409796db in exit (status=1) at exit.c:54
#6  0x4086c61e in gdk_x_io_error () from /usr/lib/libgdk-1.2.so.0
#7  0x400b5d9e in _XIOError () from /usr/X11R6/lib/libX11.so.6
#8  0x400b2c53 in _XFlush () from /usr/X11R6/lib/libX11.so.6
#9  0x400b2ad1 in _XFlush () from /usr/X11R6/lib/libX11.so.6
#10 0x400b2ceb in _XEventsQueued () from /usr/X11R6/lib/libX11.so.6
#11 0x400a716e in XPending () from /usr/X11R6/lib/libX11.so.6
#12 0x40878bcd in gdk_event_prepare () from /usr/lib/libgdk-1.2.so.0
#13 0x408afa42 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#14 0x408afeec in g_main_run () from /usr/lib/libglib-1.2.so.0
#15 0x407c7343 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#16 0x403140bc in bonobo_main () from /usr/lib/libbonobo.so.2
#17 0x0806d3b5 in main () at eval.c:41
#18 0x409655e7 in __libc_start_main (main=0x806ceb0 <main>, argc=4,
    ubp_av=0xbffffb24, init=0x805e6d0 <_init>, fini=0x80b0030 <_fini>,
    rtld_fini=0x4000db24 <_dl_fini>, stack_end=0xbffffb1c)
    at ../sysdeps/generic/libc-start.c:129

How Reproducible:

Happens at random.  No idea how to make it even probable.
Comment 1 Havoc Pennington 2001-07-22 17:21:46 EDT
This core is from an atexit() handler, so happens when you exit Nautilus or one
of its views I believe. Examining the code, I see no way it would happen except
when exiting the app, so not catastrophic.

Would be nice if it didn't happen though.
Comment 2 Glen Foster 2001-07-23 17:18:02 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Havoc Pennington 2002-02-27 17:56:24 EST
Moving active development to GNOME 2, only critical fixes still planned for
GNOME 1.x.

Note You need to log in before you can comment on or make changes to this bug.